Powercycle a Kubernetes bare metal node

POST/v1/hosts/kubernetes_baremetal_nodes/{server_id}/power_cycle

The power cycle command can be executed by sending a POST request to /v1/hosts/kubernetes_baremetal_nodes/{server_id}/power_cycle. A server ID must be filled in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server used for a node. To find it out, proceed to the relevant request.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/kubernetes_baremetal_nodes/l9avJnaG/power_cycle"
{  "id": "l9avJnaG",  "kubernetes_cluster_id": "9wdLvgaj",  "kubernetes_cluster_node_id": "N1aMQ3aW",  "kubernetes_cluster_node_number": 57,  "rack_id": "xkazwmbJ",  "title": null,  "location_id": 1471,  "location_code": "location3045",  "status": "active",  "operational_status": "normal",  "power_status": "power_cycling",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.156",  "public_ipv4_address": "169.254.0.156",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "kubernetes_baremetal_node",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "server_model_id": 62,    "public_uplink_id": 51,    "private_uplink_id": 52,    "server_model_name": "server-model-693",    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:04:07Z",  "updated_at": "2026-05-28T07:04:07Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Power management operation already in process",  "code": "CONFLICT"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}